API referenceFiles
Delete a file
Answers 204 whether or not the file was stored.
Authorization
SyncToken AuthorizationBearer <token>
A SyncPilled token from POST /v1/apps/{app}/auth/token, valid for one hour.
In: header
Path Parameters
app*string
The app's id.
sha256*string
The lowercase hex SHA-256 of the file's bytes.
Match
^[0-9a-f]{64}$Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/apps/string/files/string"Empty
Download a file
Download a file (GET /v1/apps/{app}/files/{sha256}) in the SyncPilled API. Accepts a SyncPilled token from the app's sign-in.
Check whether a file is stored
Check whether a file is stored (HEAD /v1/apps/{app}/files/{sha256}) in the SyncPilled API. Accepts a SyncPilled token from the app's sign-in.